const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const outwork = sequelize.define(
    'outwork',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,

      },

po_number: {
        type: DataTypes.TEXT,

      },

outwork_description: {
        type: DataTypes.TEXT,

      },

total: {
        type: DataTypes.DECIMAL,

      },

supplier: {
        type: DataTypes.TEXT,

      },

date: {
        type: DataTypes.DATE,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  outwork.associate = (db) => {

    db.outwork.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.outwork.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return outwork;
};

